## Sid Meier's Civilization 4
## Copyright Firaxis Games 2005

from CvPythonExtensions import *
import CvUtil
import CvEventManager
import sys
#import RealFort
import TechConquest
#import CulturalDecay
	
gc = CyGlobalContext()

#rf = RealFort.RealFort()
tc = TechConquest.TechConquest()
#cd = CulturalDecay.CulturalDecay()

# globals
###################################################
class CvCustomEventManager(CvEventManager.CvEventManager):
	def __init__(self):
		# initialize base class
		self.parent = CvEventManager.CvEventManager
		self.parent.__init__(self)

	def onUnitMove(self, argsList):
		self.parent.onUnitMove(self, argsList);
#		rf.onUnitMove(argsList)
		
	def onImprovementBuilt(self, argsList):
		self.parent.onImprovementBuilt(self, argsList)
#		rf.onImprovementBuilt(argsList)
		
	def onTechAcquired(self, argsList):
		self.parent.onTechAcquired(self, argsList)
#		rf.onTechAcquired(argsList)
		
	def onCityAcquired(self, argsList):
		'City Acquired'
		self.parent.onCityAcquired(self, argsList)
		tc.onCityAcquired(argsList)

	def onEndGameTurn(self, argsList):
		self.parent.onEndGameTurn(self, argsList)
#		cd.onEndGameTurn(argsList)
